import { defineComponent as y, toRefs as h, ref as k, computed as x, openBlock as n, createElementBlock as s, normalizeClass as b, unref as r, createElementVNode as u, renderSlot as S, createTextVNode as M, toDisplayString as m, createCommentVNode as I, Fragment as N, renderList as $ } from "vue";
var E = /* @__PURE__ */ ((e) => (e.SUCCESS = "success", e.INFO = "info", e.DANGER = "danger", e.WARNING = "warning", e))(E || {}), p = /* @__PURE__ */ ((e) => (e.SMALL = "sm", e.MEDIUM = "md", e.LARGE = "lg", e.EXTRALARGE = "xl", e))(p || {}), _ = /* @__PURE__ */ ((e) => (e.BOTH = "both", e.NONE = "none", e.HORIZONTAL = "horizontal", e.VERTICAL = "vertical", e))(_ || {}), f = /* @__PURE__ */ ((e) => (e.PRIMARY = "primary", e.SECONDARY = "secondary", e.SUCCESS = "success", e.DANGER = "danger", e.WARNING = "warning", e.INFO = "info", e.LINK = "link", e))(f || {}), w = /* @__PURE__ */ ((e) => (e.SQUARE = "square", e.WIDE = "wide", e.AUTO = "auto", e))(w || {}), g = /* @__PURE__ */ ((e) => (e.DEFAULT = "default", e.PRIMARY = "primary", e.SECONDARY = "secondary", e))(g || {});
const C = { class: "ml-3 text-sm font-medium" }, L = /* @__PURE__ */ u("svg", {
  "aria-hidden": "true",
  class: "h-5 w-5",
  fill: "currentColor",
  viewBox: "0 0 20 20",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ u("path", {
    "fill-rule": "evenodd",
    d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
    "clip-rule": "evenodd"
  })
], -1), D = [
  L
], ee = /* @__PURE__ */ y({
  __name: "Alert",
  props: {
    dismissable: { type: Boolean, default: !1 },
    text: { default: "" },
    type: { default: E.SUCCESS }
  },
  setup(e) {
    const d = e, { type: l } = h(d), t = k(""), a = () => {
      t.value = "opacity-0", setTimeout(() => {
        t.value = "hidden";
      }, 200);
    }, o = x(() => ({
      ["text-success bg-[#d4edda] border-[#c3e6cb]"]: l.value === E.SUCCESS,
      ["text-on-info bg-info border-[#d6d8db]"]: l.value === E.INFO,
      ["text-warning bg-[#fff3cd] border-[#ffecb5]"]: l.value === E.WARNING,
      ["text-danger bg-[#f8d7da] border-[#f5c2c7]"]: l.value === E.DANGER
    }));
    return (c, v) => (n(), s("div", {
      class: b(["mb-4 flex rounded-lg border p-4 transition-opacity duration-200", [t.value, r(o)]])
    }, [
      u("div", C, [
        S(c.$slots, "default", {}, () => [
          M(m(e.text), 1)
        ])
      ]),
      e.dismissable ? (n(), s("button", {
        key: 0,
        type: "button",
        class: "-mx-1.5 -my-1.5 ml-auto inline-flex rounded-lg p-1.5 text-[#155724]",
        "aria-label": "Close",
        onClick: a
      }, D)) : I("", !0)
    ], 2));
  }
}), te = /* @__PURE__ */ y({
  __name: "Badge",
  props: {
    type: { default: f.PRIMARY },
    label: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { type: l, label: t, rounded: a } = h(d), o = x(() => ({
      "text-white bg-primary border-slate-500": l.value === f.PRIMARY,
      "text-on-info bg-info": l.value === f.INFO,
      "text-on-warning bg-warning": l.value === f.WARNING,
      "text-white bg-danger": l.value === f.DANGER,
      "text-on-success bg-success": l.value === f.SUCCESS,
      "text-on-secondary bg-secondary": l.value === f.SECONDARY,
      "rounded-full": a.value
    }));
    return (c, v) => (n(), s("div", {
      class: b(["leading-2 inline-block rounded p-0 px-1 text-xs font-bold", r(o)])
    }, m(r(t)), 3));
  }
}), ae = /* @__PURE__ */ y({
  __name: "Button",
  props: {
    label: { default: "" },
    size: { default: p.MEDIUM },
    outline: { type: Boolean, default: !1 },
    type: { default: f.PRIMARY },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { size: l, outline: t, type: a, rounded: o } = h(d), c = x(() => ({
      "p-1.5 px-3 text-xs": l.value === p.SMALL,
      "py-2.5 px-3 text-xs": l.value === p.MEDIUM,
      "p-2 px-4 text-md": l.value === p.LARGE,
      "p-2.5 px-5 text-lg": l.value === p.EXTRALARGE,
      "text-primary bg-on-primary border border-primary hover:text-on-primary hover:bg-primary": t.value && a.value === f.PRIMARY,
      "text-on-primary bg-primary border border-on-primary": !t.value && a.value === f.PRIMARY,
      "text-primary": !t.value && a.value === f.LINK,
      "text-on-info bg-info border border-on-info": !t.value && a.value === f.INFO,
      "text-on-info border border-on-info hover:text-info hover:bg-on-info": t.value && a.value === f.INFO,
      "text-on-secondary bg-secondary": !t.value && a.value === f.SECONDARY,
      "text-secondary bg-on-secondary border border-secondary hover:text-on-secondary hover:bg-secondary": t.value && a.value === f.SECONDARY,
      "rounded-md": o.value,
      "bg-warning text-on-warning": !t.value && a.value === f.WARNING,
      "bg-on-warning text-warning border border-warning hover:bg-warning hover:text-on-warning": t.value && a.value === f.WARNING
    }));
    return (v, i) => (n(), s("button", {
      class: b(["duration-400 transition-all", r(c)])
    }, m(e.label), 3));
  }
}), O = ["for"], U = ["type", "id", "placeholder"], le = /* @__PURE__ */ y({
  __name: "Input",
  props: {
    label: { default: "" },
    size: { default: p.MEDIUM },
    type: { default: "text" },
    id: { default: "" },
    placeholder: { default: "" },
    rounded: { type: Boolean, default: !1 },
    inline: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { id: l, size: t, rounded: a, inline: o } = h(d), c = x(() => ({
      "p-1.5 px-3 text-xs": t.value === p.SMALL,
      "py-2.5 px-3 text-xs": t.value === p.MEDIUM,
      "p-2 px-4 text-md": t.value === p.LARGE,
      "p-2.5 px-5 text-lg": t.value === p.EXTRALARGE,
      rounded: a.value
    })), v = x(() => ({
      "flex-col": !o.value,
      "flex-row items-center gap-3": o.value
    })), i = l.value ? l.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (R, A) => (n(), s("div", null, [
      u("div", {
        class: b(["flex", r(v)])
      }, [
        e.label ? (n(), s("label", {
          key: 0,
          class: "mb-1 cursor-pointer text-neutral-500",
          for: r(i)
        }, m(e.label), 9, O)) : I("", !0),
        u("input", {
          class: b(["border border-gray-300 text-gray-500 focus:border-gray-300 focus:shadow-md focus:ring-0", r(c)]),
          type: e.type,
          id: r(i),
          placeholder: e.placeholder || e.label
        }, null, 10, U)
      ], 2)
    ]));
  }
}), V = { class: "flex items-center" }, Y = ["checked"], G = {
  for: "default-checkbox",
  class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
}, re = /* @__PURE__ */ y({
  __name: "Checkbox",
  props: {
    type: { default: g.DEFAULT },
    label: null,
    rounded: { type: Boolean },
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const l = e, { type: t, modelValue: a, rounded: o } = h(l), c = x(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": t.value === g.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": t.value === g.SECONDARY,
      rounded: o.value
    }));
    return (v, i) => (n(), s("div", V, [
      u("input", {
        id: "default-checkbox",
        onInput: i[0] || (i[0] = (R) => d("update:modelValue", !r(a))),
        checked: r(a),
        type: "checkbox",
        class: b(["h-4 w-4 cursor-pointer ring-0", r(c)])
      }, null, 42, Y),
      u("label", G, m(e.label), 1)
    ]));
  }
}), B = ["checked", "value"], oe = /* @__PURE__ */ y({
  __name: "Radio",
  props: {
    type: { default: g.DEFAULT },
    label: null,
    modelValue: { default: "" },
    value: { default: "" },
    inline: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const l = e, { type: t, modelValue: a, inline: o } = h(l), c = x(() => ({
      "bg-gray-100 border-gray-300 text-primary focus:ring-primary": t.value === g.PRIMARY,
      "text-orange-500 bg-gray-100 border-gray-300 focus:ring-orange-500 focus:ring-2": t.value === g.SECONDARY
    })), v = x(() => ({
      flex: !o.value,
      "inline-flex mr-3": o.value
    })), i = (A) => {
      d("update:modelValue", A.target.value);
    }, R = `id-${Math.random().toString(36).substring(2, 7)}`;
    return (A, Z) => (n(), s("div", {
      class: b(["items-center", r(v)])
    }, [
      u("input", {
        id: R,
        onInput: i,
        checked: r(a) === e.value,
        type: "radio",
        class: b(["h-4 w-4 cursor-pointer ring-0", r(c)]),
        value: e.value
      }, null, 42, B),
      u("label", {
        for: R,
        class: "ml-2 cursor-pointer text-sm font-medium text-gray-900"
      }, m(e.label), 1)
    ], 2));
  }
}), T = { class: "relative inline-flex cursor-pointer items-center" }, P = ["checked"], F = { class: "ml-2 text-sm font-medium text-gray-900 dark:text-gray-300" }, ne = /* @__PURE__ */ y({
  __name: "Switch",
  props: {
    type: { default: g.PRIMARY },
    label: null,
    modelValue: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: d }) {
    const l = e, { type: t, modelValue: a } = h(l), o = x(() => ({
      "peer-checked:bg-primary text-primary peer-focus:ring-0": t.value === g.PRIMARY,
      "text-secondary peer-checked:bg-secondary peer-focus:ring-0": t.value === g.SECONDARY
    }));
    return (c, v) => (n(), s("label", T, [
      u("input", {
        type: "checkbox",
        onInput: v[0] || (v[0] = (i) => d("update:modelValue", !r(a))),
        class: "peer sr-only",
        checked: r(a)
      }, null, 40, P),
      u("div", {
        class: b(["peer h-6 w-11 rounded-full bg-gray-100 after:absolute after:left-[2px] after:top-0.5 after:h-5 after:w-5 after:rounded-full after:border after:border-gray-300 after:bg-white after:transition-all after:content-[''] peer-checked:after:translate-x-full", r(o)])
      }, null, 2),
      u("span", F, m(e.label), 1)
    ]));
  }
}), W = {
  key: 0,
  class: "w-full border-b bg-neutral-50 p-3 text-center font-medium"
}, z = { class: "w-full text-center text-sm font-light" }, H = { class: "border-b bg-neutral-50 font-medium" }, se = /* @__PURE__ */ y({
  __name: "Table",
  props: {
    items: { default: () => [] },
    headers: { default: () => [] },
    title: { default: "" },
    rounded: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { items: l, headers: t, title: a, rounded: o } = h(d);
    return (c, v) => (n(), s("div", {
      class: b(["w-full overflow-hidden border shadow", { "rounded-lg": r(o) }])
    }, [
      r(a) ? (n(), s("div", W, m(r(a)), 1)) : I("", !0),
      u("table", z, [
        u("thead", H, [
          u("tr", null, [
            (n(!0), s(N, null, $(r(t), (i) => (n(), s("th", {
              scope: "col",
              class: "px-6 py-4",
              key: i.key
            }, m(i.value), 1))), 128))
          ])
        ]),
        u("tbody", null, [
          (n(!0), s(N, null, $(r(l), (i, R) => (n(), s("tr", {
            class: b({
              "border-b": R + 1 < r(l).length
            }),
            key: i.id
          }, [
            (n(!0), s(N, null, $(r(t), (A) => (n(), s("td", {
              class: "whitespace-nowrap px-6 py-4",
              key: A.key
            }, [
              S(c.$slots, `item-${A.key}`, { item: i }, () => [
                M(m(i[A.key]), 1)
              ])
            ]))), 128))
          ], 2))), 128))
        ])
      ])
    ], 2));
  }
}), X = { class: "flex flex-col" }, Q = ["for"], j = ["id", "placeholder", "rows"], ue = /* @__PURE__ */ y({
  __name: "TextArea",
  props: {
    label: { default: "" },
    size: { default: p.MEDIUM },
    id: { default: "" },
    placeholder: { default: "" },
    rows: { default: 5 },
    resize: { default: _.VERTICAL }
  },
  setup(e) {
    const d = e, { id: l, size: t, resize: a } = h(d), o = x(() => ({
      "p-1.5 px-3 text-xs": t.value === p.SMALL,
      "py-2.5 px-3 text-xs": t.value === p.MEDIUM,
      "p-2 px-4 text-md": t.value === p.LARGE,
      "p-2.5 px-5 text-lg": t.value === p.EXTRALARGE,
      "resize-none": a.value === _.NONE,
      "resize-x": a.value === _.HORIZONTAL,
      "resize-y": a.value === _.VERTICAL,
      resize: a.value === _.BOTH
    })), c = l.value ? l.value : `id-${Math.random().toString(36).substring(2, 7)}`;
    return (v, i) => (n(), s("div", null, [
      u("div", X, [
        e.label ? (n(), s("label", {
          key: 0,
          class: "mb-1 cursor-pointer",
          for: r(c)
        }, m(e.label), 9, Q)) : I("", !0),
        u("textarea", {
          class: b(["mb-2 rounded border border-gray-300 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-2 focus:ring-indigo-500", r(o)]),
          id: r(c),
          placeholder: e.placeholder || e.label,
          rows: e.rows
        }, null, 10, j)
      ])
    ]));
  }
}), q = { class: "font-lato" }, K = ["src", "alt"], de = /* @__PURE__ */ y({
  __name: "Thumbnail",
  props: {
    ratio: { default: w.SQUARE },
    caption: { default: "" },
    src: { default: "" },
    rounded: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 }
  },
  setup(e) {
    const d = e, { ratio: l, rounded: t, fullWidth: a } = h(d), o = x(() => ({
      "aspect-square": l.value === w.SQUARE,
      "aspect-video": l.value === w.WIDE,
      "aspect-auto": l.value === w.AUTO,
      "rounded-lg": t.value,
      "object-cover": !a.value,
      "object-cover w-full": a.value
    })), c = x(() => ({
      "max-w-md": !a.value,
      "w-full": a.value,
      "rounded-lg": t.value
    }));
    return (v, i) => (n(), s("div", q, [
      u("figure", {
        class: b(["relative", r(c)])
      }, [
        u("img", {
          class: b(r(o)),
          src: e.src,
          alt: `Provided image not found: ${e.src}`
        }, null, 10, K),
        e.caption ? (n(), s("figcaption", {
          key: 0,
          class: b(["absolute inset-x-0 bottom-0 line-clamp-2 border-transparent bg-slate-300/25 px-4 py-1.5 transition-colors duration-200 hover:bg-slate-950/75 hover:text-white", { "rounded-b-lg border": r(t) }])
        }, m(e.caption), 3)) : I("", !0)
      ], 2)
    ]));
  }
});
export {
  ee as Alert,
  E as AlertType,
  w as AspectRatio,
  te as Badge,
  ae as Button,
  f as ButtonType,
  re as Checkbox,
  g as CheckboxType,
  le as Input,
  p as InputSize,
  oe as Radio,
  _ as Resizable,
  ne as Switch,
  se as Table,
  ue as TextArea,
  de as Thumbnail
};
